
=encoding utf8

=head1 NAME

Sidef::Types::Glob::FileHandle

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = FileHandle(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 «

    a « b

Returns the

Aliases: I<E<lt>E<lt>>, I<write_from>

=cut

=head2 »

    a » b

Returns the

Aliases: I<E<gt>E<gt>>, I<read_to>

=cut

=head2 autoflush

    self.autoflush(bool)

Returns the

=cut

=head2 binmode

    self.binmode(encoding)

Returns the

=cut

=head2 call

    self.call

Returns the

=cut

=head2 char

    self.char(var_ref)

Returns the

Aliases: I<getc>, I<read_char>

=cut

=head2 chars

    self.chars

Returns the

=cut

=head2 close

    self.close

Returns the

=cut

=head2 cp

    self.cp(fh)

Returns the

Aliases: I<copy>

=cut

=head2 each

    self.each(code)

Returns the

Aliases: I<each_line>

=cut

=head2 each_char

    self.each_char(code)

Returns the

=cut

=head2 eof

    self.eof

Returns the

=cut

=head2 fcntl

    self.fcntl(func, flags)

Returns the

=cut

=head2 file

    self.file

Returns the

Aliases: I<parent>

=cut

=head2 fileno

    self.fileno

Returns the

=cut

=head2 flock

    self.flock(mode)

Returns the

=cut

=head2 get

    self.get(var_ref)

Returns the

Aliases: I<line>, I<readln>, I<read_line>, I<readline>

=cut

=head2 grep

    self.grep(obj)

Returns the

Aliases: I<select>

=cut

=head2 isatty

    self.isatty

Returns the

Aliases: I<is_on_tty>

=cut

=head2 iter

    self.iter

Returns the

=cut

=head2 lines

    self.lines

Returns the

Aliases: I<read_lines>, I<readlines>

=cut

=head2 lock

    self.lock

Returns the

=cut

=head2 lstat

    self.lstat

Returns the

=cut

=head2 map

    self.map(block)

Returns the

Aliases: I<collect>

=cut

=head2 new_buf

    self.new_buf(mode)

Returns the

Aliases: I<new_buffer>

=cut

=head2 print

    self.print(*args)

Returns the

Aliases: I<spurt>, I<write>

=cut

=head2 printf

    self.printf(*args)

Returns the

=cut

=head2 read

    self.read(var_ref, length, offset)

Returns the

=cut

=head2 rewind

    self.rewind

Returns the

=cut

=head2 say

    self.say(*args)

Returns the

Aliases: I<println>

=cut

=head2 seek

    self.seek(pos, whence)

Returns the

=cut

=head2 slurp

    self.slurp

Returns the

=cut

=head2 stat

    self.stat

Returns the

=cut

=head2 stderr

    self.stderr

Returns the

=cut

=head2 stdin

    self.stdin

Returns the

=cut

=head2 stdout

    self.stdout

Returns the

=cut

=head2 sysread

    self.sysread(var_ref, length, offset)

Returns the

=cut

=head2 sysseek

    self.sysseek(pos, whence)

Returns the

=cut

=head2 syswrite

    self.syswrite(scalar, length, offset)

Returns the

=cut

=head2 tell

    self.tell

Returns the

=cut

=head2 truncate

    self.truncate(length)

Returns the

=cut

=head2 unlock

    self.unlock

Returns the

=cut

=head2 words

    self.words

Returns the

=cut
